Subject: bug#21474: emacs-25.0.50: compilation error in leim: Args out of

From: Noam Postavsky <[email-masked]>
Date: Sun, 27 Nov 2016 08:53:21 -0500

On Sat, Nov 26, 2016 at 10:16 PM, Rob Browning <[email-masked]> wrote:
>
> And just to make sure I understand, you're saying that we might be OK in
> the short term if I just export REL_ALLOC=no for the build?

For ./configure, yes.

Essentially the problem is that recent changes in glibc caused the
default configuration to use REL_ALLOC=yes, but since it hadn't been
used in a long time, several bugs had crept in. All the patches
(except 32827b3 "Default REL_ALLOC to 'no'", of course) are fixing
things in the REL_ALLOC=yes case.